Subject: Re: [PATCH 2.6.12-rc5 9/9] tg3: Fix bug in tg3_load_firmware_cpu

From: Jeff Garzik <[email-masked]>
Date: Thu, 26 May 2005 15:13:47 -0400

Michael Chan wrote:
> Add tg3_nvram_lock() and tg3_nvram_unlock() calls around tg3_halt_cpu().
> It is possible that the bootcode may be loading code from nvram during
> this call and stopping the cpu without getting the lock may cause
> uncompleted nvram data to be left in the nvram data register. Subsequent
> calls to read/write nvram data will fail.
> 
> Signed-off-by: Michael Chan <[email-masked]>

All the patches seem sane to me.

To touch a bit on patch order, I would suggest ordering bug fixes before 
feature patches.  Your patch #9 could have been better ordered as patch #1.

The patch order did not matter today, but sometime in the future, if an 
add-a-feature patch is rejected or delayed, you would still likely want 
DaveM to apply other bugfix patches.

Regards,

	Jeff